import request from '@/utils/request'

// 查询任务类型字典列表
export function listTaskType(query) {
    return request({
        url: '/system/taskType/list',
        method: 'get',
        params: query
    })
}

// 查询任务类型字典详细
export function getTaskType(id) {
    return request({
        url: '/system/taskType/' + id,
        method: 'get'
    })
}

// 新增任务类型字典
export function addTaskType(data) {
    return request({
        url: '/system/taskType/add',
        method: 'post',
        data: data
    })
}

// 修改任务类型字典
export function updateTaskType(data) {
    return request({
        url: '/system/taskType/edit',
        method: 'put',
        data: data
    })
}

// 删除任务类型字典
export function delTaskType(id) {
    return request({
        url: '/system/taskType/' + id,
        method: 'delete'
    })
}
